tbb::interface6::flattened2d< Container > Class Template Reference

`#include <enumerable_thread_specific.h>`

Collaboration diagram for tbb::interface6::flattened2d< Container >:

## Public Types

typedef conval_type::size_type | size_type
| Basic types. More...
typedef conval_type::difference_type | difference_type
typedef conval_type::allocator_type | allocator_type
typedef conval_type::value_type | value_type
typedef conval_type::reference | reference
typedef conval_type::const_reference | const_reference
typedef conval_type::pointer | pointer
typedef conval_type::const_pointer | const_pointer
typedef internal::segmented_iterator< Container, value_type > | iterator
typedef internal::segmented_iterator< Container, const value_type > | const_iterator

## Public Member Functions

| flattened2d (const Container &c, typename Container::const_iterator b, typename Container::const_iterator e)
| flattened2d (const Container &c)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
size_type | size () const

## Private Types

typedef Container::value_type | conval_type

## Private Attributes

Container * | my_container
Container::const_iterator | my_begin
Container::const_iterator | my_end

## Detailed Description

### template<typename Container>
class tbb::interface6::flattened2d< Container >

Definition at line 1101 of file enumerable_thread_specific.h.

## Member Typedef Documentation

## allocator_type

template<typename Container >

typedef conval_type::allocator_type tbb::interface6::flattened2d< Container >::allocator_type

Definition at line 1111 of file enumerable_thread_specific.h.

## const_iterator

template<typename Container >

typedef internal::segmented_iterator<Container, const value_type> tbb::interface6::flattened2d< Container >::const_iterator

Definition at line 1119 of file enumerable_thread_specific.h.

## const_pointer

template<typename Container >

typedef conval_type::const_pointer tbb::interface6::flattened2d< Container >::const_pointer

Definition at line 1116 of file enumerable_thread_specific.h.

## const_reference

template<typename Container >

typedef conval_type::const_reference tbb::interface6::flattened2d< Container >::const_reference

Definition at line 1114 of file enumerable_thread_specific.h.

## conval_type

template<typename Container >

typedef Container::value_type tbb::interface6::flattened2d< Container >::conval_type

private

Definition at line 1104 of file enumerable_thread_specific.h.

## difference_type

template<typename Container >

typedef conval_type::difference_type tbb::interface6::flattened2d< Container >::difference_type

Definition at line 1110 of file enumerable_thread_specific.h.

## iterator

template<typename Container >

typedef internal::segmented_iterator<Container, value_type> tbb::interface6::flattened2d< Container >::iterator

Definition at line 1118 of file enumerable_thread_specific.h.

## pointer

template<typename Container >

typedef conval_type::pointer tbb::interface6::flattened2d< Container >::pointer

Definition at line 1115 of file enumerable_thread_specific.h.

## reference

template<typename Container >

typedef conval_type::reference tbb::interface6::flattened2d< Container >::reference

Definition at line 1113 of file enumerable_thread_specific.h.

## size_type

template<typename Container >

typedef conval_type::size_type tbb::interface6::flattened2d< Container >::size_type

Basic types.

Definition at line 1109 of file enumerable_thread_specific.h.

## value_type

template<typename Container >

typedef conval_type::value_type tbb::interface6::flattened2d< Container >::value_type

Definition at line 1112 of file enumerable_thread_specific.h.

## Constructor & Destructor Documentation

## flattened2d() [1/2]

template<typename Container >

tbb::interface6::flattened2d< Container >::flattened2d | ( | const Container & | c,
|  | typename Container::const_iterator | b,
|  | typename Container::const_iterator | e
| ) |  |

inline

Definition at line 1121 of file enumerable_thread_specific.h.

:
my_container(const_cast<Container*>(&c)), my_begin(b), my_end(e) { }
tbb::interface6::flattened2d::my_end
Container::const_iterator my_end
Definition: enumerable_thread_specific.h:1144
tbb::interface6::flattened2d::my_container
Container * my_container
Definition: enumerable_thread_specific.h:1142
tbb::interface6::flattened2d::my_begin
Container::const_iterator my_begin
Definition: enumerable_thread_specific.h:1143

## flattened2d() [2/2]

template<typename Container >

tbb::interface6::flattened2d< Container >::flattened2d | ( | const Container & | c | ) |

inline explicit

Definition at line 1124 of file enumerable_thread_specific.h.

:
my_container(const_cast<Container*>(&c)), my_begin(c.begin()), my_end(c.end()) { }

## Member Function Documentation

## begin() [1/2]

template<typename Container >

iterator tbb::interface6::flattened2d< Container >::begin | ( |  | ) |

inline

Definition at line 1127 of file enumerable_thread_specific.h.

{ return iterator(*my_container) = my_begin; }
tbb::interface6::flattened2d::iterator
internal::segmented_iterator< Container, value_type > iterator
Definition: enumerable_thread_specific.h:1118

## begin() [2/2]

template<typename Container >

const_iterator tbb::interface6::flattened2d< Container >::begin | ( |  | ) | const

inline

Definition at line 1129 of file enumerable_thread_specific.h.

{ return const_iterator(*my_container) = my_begin; }
tbb::interface6::flattened2d::const_iterator
internal::segmented_iterator< Container, const value_type > const_iterator
Definition: enumerable_thread_specific.h:1119

## end() [1/2]

template<typename Container >

iterator tbb::interface6::flattened2d< Container >::end | ( |  | ) |

inline

Definition at line 1128 of file enumerable_thread_specific.h.

{ return iterator(*my_container) = my_end; }

## end() [2/2]

template<typename Container >

const_iterator tbb::interface6::flattened2d< Container >::end | ( |  | ) | const

inline

Definition at line 1130 of file enumerable_thread_specific.h.

{ return const_iterator(*my_container) = my_end; }

## size()

template<typename Container >

size_type tbb::interface6::flattened2d< Container >::size | ( |  | ) | const

inline

Definition at line 1132 of file enumerable_thread_specific.h.

{
size_type tot_size = 0;
for(typename Container::const_iterator i = my_begin; i != my_end; ++i) {
tot_size += i->size();
}
return tot_size;
}
tbb::interface6::flattened2d::size_type
conval_type::size_type size_type
Basic types.
Definition: enumerable_thread_specific.h:1109

## Member Data Documentation

## my_begin

template<typename Container >

Container::const_iterator tbb::interface6::flattened2d< Container >::my_begin

private

Definition at line 1143 of file enumerable_thread_specific.h.

## my_container

template<typename Container >

Container* tbb::interface6::flattened2d< Container >::my_container

private

Definition at line 1142 of file enumerable_thread_specific.h.

## my_end

template<typename Container >

Container::const_iterator tbb::interface6::flattened2d< Container >::my_end

private

Definition at line 1144 of file enumerable_thread_specific.h.

The documentation for this class was generated from the following file:

- enumerable_thread_specific.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.